<div class="container d-flex flex-column justify-content-around p-4">
  <h1>1 - Le Data Binding</h1>

  <br />

  <h2 appHighlight>1 - a - L'interpolation :</h2>

  <p>
    Je m'appelle {{ myName }} et j'ai {{ myAge }}, je suis plutôt beau gosse :
    <b>{{ isBeauGoss ? "C'est vrai !!!" : "C'est totalement faux" }}</b>
  </p>

  <h2>1 - b - Le property Binding</h2>

  <div [align]="alignement">
    Personne : {{ person }} | {{ age }} | adresse : {{ address.street }}
  </div>
  <br />

  <h2>1 - c - Event Binding</h2>

  <div>
    <div [class]="alert">{{ mot }}</div>
    <button class="btn btn-primary w-25" (click)="changeMot()">
      Validation
    </button>

    <br />
    <br />
    <label>Saisir ce que tu veux : </label>
    <input type="text" (change)="modifie($event)" class="form-control w-50" />
    <br />
    <p>Résultat : {{ modification }}</p>

    <br />
    <br />

    <label for="">Saisir ce que tu veux encore : </label>
    <input
      type="text"
      (input)="modifieEncore($event)"
      class="form-control w-50"
      (focus)="focused()"
    />
    <p>Resultat 2 : {{ modificationEncore }}</p>
  </div>
  <br />
  <br />

  <h2>1 - d - Two-way binding</h2>
  <div>
    <form action="" class="d-flex flex-column">
      <h5>{{ userName }}</h5>
      <label for="">Name : </label>
      <input
        type="text"
        [(ngModel)]="userName"
        name="userName"
        placeholder="userName"
        class="w-50"
      />
    </form>
  </div>
  <br />
  <br />
  <div class="m-4">
    <label for="">Saisir le mot de passe : </label>
    <br />
    <input type="text" (change)="password($event)" class="form-control w-50" />
    <br />
    <div *ngIf="erreur" class="alert alert-danger">Erreur de mot de passe</div>
  </div>
</div>
